////////////////////////////////////////////////////////////////////////////////
// Copyright (c) Elektrobit Automotive GmbH
// Alle Rechte vorbehalten. All Rights Reserved.
//
// Information contained herein is subject to change without notice.
// Elektrobit retains ownership and all other rights in the software and each
// component thereof.
// Any reproduction of the software or components thereof without the prior
// written permission of Elektrobit is prohibited.
////////////////////////////////////////////////////////////////////////////////
#include "TemperatureConverterApp.h"

dependencyResolving::TemperatureConverterApplication::TemperatureConverterApplication(gtf::smartptr::RefCountedPtr<dependencyResolving::TemperatureConverter> & temperatureConverter_)
:temperatureConverter(temperatureConverter_)
{

}


dependencyResolving::TemperatureConverterApplication::~TemperatureConverterApplication()
{

}


void dependencyResolving::TemperatureConverterApplication::run()
{
    temperatureConverter->convertToFahrenheit(38);

    temperatureConverter->convertToKelvin(15);
}

void dependencyResolving::TemperatureConverterApplication::stop()
{

}



