#ifndef GTF_INCLUDED_LOCAL_DATAPOOL_IDENTIFIERS_H
#define GTF_INCLUDED_LOCAL_DATAPOOL_IDENTIFIERS_H

#include <gtf/types/StdDef.h>

//! @brief Type : Float
#define LOCAL_DP_ID_scaling ((uint32_t) 0x00000000)

//! @brief Type : Integer
#define LOCAL_DP_ID_delay ((uint32_t) 0x00000001)

//! @brief Type : Integer
#define LOCAL_DP_ID_view_x ((uint32_t) 0x00000002)

//! @brief Type : Integer
#define LOCAL_DP_ID_view_y ((uint32_t) 0x00000003)

//! @brief Type : Integer
#define LOCAL_DP_ID_resolution_width ((uint32_t) 0x00000004)

//! @brief Type : Integer
#define LOCAL_DP_ID_resolution_height ((uint32_t) 0x00000005)

//! @brief Type : Conditional script
#define LOCAL_DP_ID_compute_scale_and_position ((uint32_t) 0x00000006)

//! @brief Type : Image list
#define LOCAL_DP_ID_showcase_icon_list ((uint32_t) 0x00000007)

//! @brief Type : String list
#define LOCAL_DP_ID_showcase_title_list ((uint32_t) 0x00000008)

//! @brief Type : Integer
#define LOCAL_DP_ID_showcase_id_event ((uint32_t) 0x00000009)

//! @brief Type : Integer
#define LOCAL_DP_ID_showcase_id_datapool ((uint32_t) 0x0000000A)

//! @brief Type : Integer
#define LOCAL_DP_ID_dpInterplayIn ((uint32_t) 0x0000000B)

//! @brief Type : Integer
#define LOCAL_DP_ID_dpInterplayOut ((uint32_t) 0x0000000C)

//! @brief Type : Boolean
#define LOCAL_DP_ID_dpUpdatesBoolIn ((uint32_t) 0x0000000D)

//! @brief Type : Image
#define LOCAL_DP_ID_dpUpdatesExternalImageIn ((uint32_t) 0x0000000E)

//! @brief Type : Image
#define LOCAL_DP_ID_dpUpdatesImageIn ((uint32_t) 0x0000000F)

//! @brief Type : Integer
#define LOCAL_DP_ID_dpUpdatesInt32In ((uint32_t) 0x00000010)

//! @brief Type : String
#define LOCAL_DP_ID_dpUpdatesStringIn ((uint32_t) 0x00000011)

//! @brief Type : String list
#define LOCAL_DP_ID_dpWindowListIn ((uint32_t) 0x00000012)

//! @brief Type : Integer
#define LOCAL_DP_ID_dpWindowPosOut ((uint32_t) 0x00000013)

//! @brief Type : Integer
#define LOCAL_DP_ID_dpWindowSizeOut ((uint32_t) 0x00000014)

//! @brief Type : Integer
#define LOCAL_DP_ID_showcase_id_datapool_updates ((uint32_t) 0x00000015)

//! @brief Type : Integer
#define LOCAL_DP_ID_showcase_id_static_image ((uint32_t) 0x00000016)

//! @brief Type : Integer
#define LOCAL_DP_ID_showcase_id_dynamic_image ((uint32_t) 0x00000017)

//! @brief Type : Integer
#define LOCAL_DP_ID_showcase_id_windowed_list ((uint32_t) 0x00000018)

//! @brief Type : Integer
#define LOCAL_DP_ID_evInterplayParamIn ((uint32_t) 0x00000019)

//! @brief Type : Integer
#define LOCAL_DP_ID_evInterplayCurrent ((uint32_t) 0x0000001A)

//! @brief Type : Integer
#define LOCAL_DP_ID_dpInterplayCurrent ((uint32_t) 0x0000001B)

//! @brief Type : Integer
#define LOCAL_DP_ID_dpWindowPosInternal ((uint32_t) 0x0000001C)

#endif //GTF_INCLUDED_LOCAL_DATAPOOL_IDENTIFIERS_H
