////////////////////////////////////////////////////////////////////////////////
// Copyright (c) Elektrobit Automotive GmbH
// Alle Rechte vorbehalten. All Rights Reserved.
//
// Information contained herein is subject to change without notice.
// Elektrobit retains ownership and all other rights in the software and each
// component thereof.
// Any reproduction of the software or components thereof without the prior
// written permission of Elektrobit is prohibited.
////////////////////////////////////////////////////////////////////////////////

#include "BasicApp.h"

using namespace gtf;
using namespace basicplugin;

BasicApplication::BasicApplication(diagnostic::LogHandle const & logger_)
:logger(logger_)
 {

 }

void BasicApplication::run()
 {
     logger->print(diagnostic::Log::LogInfo, "Application successfully started ");
 }

void BasicApplication::stop()
 {
     logger->print(diagnostic::Log::LogInfo, "Application successfully stopped  ");
 }


