////////////////////////////////////////////////////////////////////////////////
// Copyright (c) Elektrobit Automotive GmbH
// Alle Rechte vorbehalten. All Rights Reserved.
//
// Information contained herein is subject to change without notice.
// Elektrobit retains ownership and all other rights in the software and each
// component thereof.
// Any reproduction of the software or components thereof without the prior
// written permission of Elektrobit is prohibited.
////////////////////////////////////////////////////////////////////////////////

#ifndef GTF_BASICAPP_H
#define GTF_BASICAPP_H

#include <gtf/launcher/Runnable.h>
#include <gtf/diagnostic/Log.h>

namespace basicplugin
{
    class BasicApplication : public gtf::launcher::Runnable
    {
    public:
        BasicApplication(gtf::diagnostic::LogHandle const & logger_);
        virtual void run();
        virtual void stop();

    private:
        gtf::diagnostic::LogHandle logger;
    };

}

#endif // GTF_BASICAPP_H

