////////////////////////////////////////////////////////////////////////////////
// Copyright (c) Elektrobit Automotive GmbH
// Alle Rechte vorbehalten. All Rights Reserved.
//
// Information contained herein is subject to change without notice.
// Elektrobit retains ownership and all other rights in the software and each
// component thereof.
// Any reproduction of the software or components thereof without the prior
// written permission of Elektrobit is prohibited.
////////////////////////////////////////////////////////////////////////////////

#ifndef GTF_CUSTOM_APP_H
#define GTF_CUSTOM_APP_H

#include <gtf/launcher/Runnable.h>
#include "TemperatureConverter.h"

namespace dependencyResolving
{

    class TemperatureConverterApplication : public gtf::launcher::Runnable
    {
    public:
        TemperatureConverterApplication(dependencyResolving::TemperatureConverterHandle & TemperatureConverter_);
        ~TemperatureConverterApplication();
        virtual void run();
        virtual void stop();

    private:
        TemperatureConverterHandle temperatureConverter;
    };
}

#endif // GTF_CUSTOM_APP_H

