////////////////////////////////////////////////////////////////////////////////
// Copyright (c) Elektrobit Automotive GmbH
// Alle Rechte vorbehalten. All Rights Reserved.
//
// Information contained herein is subject to change without notice.
// Elektrobit retains ownership and all other rights in the software and each
// component thereof.
// Any reproduction of the software or components thereof without the prior
// written permission of Elektrobit is prohibited.
////////////////////////////////////////////////////////////////////////////////

#ifndef GTF_SETTINGSAPPLICATION_H
#define GTF_SETTINGSAPPLICATION_H

#include <gtf/dependencyresolver/DependencyContainer.h>
#include <gtf/launcher/Runnable.h>
#include <gtf/diagnostic/Log.h>

namespace settingsplugin
{
    class SettingsApplication : public gtf::launcher::Runnable
    {
    public:
        SettingsApplication(gtf::dependencyresolver::DependencyContainerHandle & container_, gtf::diagnostic::LogHandle & logger_);

        virtual void run();
        virtual void stop();
    private:
        gtf::dependencyresolver::DependencyContainerHandle container;
        gtf::diagnostic::LogHandle logger;
    };

}

#endif // GTF_SETTINGSAPPLICATION_H
